メインコンテンツまでスキップ

フィールドタイプ一覧の取得


説明​

フィールドタイプの一覧を取得します。

必要権限​

なし

URL​

GET /system/fieldTypes

クエリパラメーター​

名前型必須か説明
namestring×名前

systemNamestring×システム名

codestring×コード

keywordstring×キーワード

以下のフィールドに指定したキーワードを持つフィールドタイプが取得されます。
・名前
・システム名
・コード
isSystemFieldboolean×true:システムフィールドのみを取得対象とします。
false:カスタムフィールドのみを取得対象とします。
指定なし:全てのフィールドを取得対象とします。
includeDeletedboolean×削除済みデータも取得対象とするか

true:削除されたデータを含めて取得します。
false:削除されていないデータのみを取得します。
isDeletedboolean×includeDeleted =trueのとき有効とします。

true:削除されたデータのみを取得します。
false:削除されていないデータのみを取得します。
limitint×データの最大取得件数
offsetint×何件目のデータから取得するか

省略した場合の既定値は 0 で先頭のデータから取得します。
orderbystring×並び替えに用いるフィールド

フィールド名の後の空白に続けて以下を指定することで、並び替えの順序指定ができます。
asc:昇順(既定値)
desc:降順

レスポンス​

名前型説明
totalCountint検索条件に該当するフィールドタイプの総数
dataFieldType[]取得したフィールドタイプ情報

エラーケース​

  • なし

特記事項​

なし

サンプル​

システムで定義されているカスタムフィールドを一覧で取得する​

GET /system/fieldTypes
Response
200 OK

{
"totalCount":88,
"data":[
{
"name":"アクティビティ1",
"systemName":"Activity1",
"code":"",
"dataType":"DTSingleLineText",
"isSystemField":false,
"description":"",
"displayOrder":0.142857142857143,
"isDeleted":false,
"group":"カスタム",
"category":"WorkItem",
"isVisible":true,
"isCustomizable":true,
"isQueryable":true,
"allowedFieldCalcTypes":["UserInput"],
"fieldCode":"1001",
"id":"81",
"createdAt":"2019-01-10T07:29:19Z",
"createdBy":"0",
"updatedAt":"2019-01-15T10:08:40Z",
"updatedBy":"21"
},
{
"name":"アクティビティ2",
"systemName":"Activity2",
"code":"",
"dataType":"DTSingleLineText",
"isSystemField":false,
"description":"",
"displayOrder":0.285714285714286,
"isDeleted":false,
"group":"カスタム",
"category":"WorkItem",
"isVisible":true,
"isCustomizable":true,
"isQueryable":true,
"allowedFieldCalcTypes":["UserInput"],
"fieldCode":"1002",
"id":"82",
"createdAt":"2019-01-10T07:29:19Z",
"createdBy":"0",
"updatedAt":"2019-01-15T10:08:55Z",
"updatedBy":"21"
},
.
.
.
]
}

型定義​

FieldType​

名前型説明
idstringフィールドタイプID
namestring名前
systemNamestringシステム名
codestringコード
descriptionstring説明
groupstringグループ
dataTypeDataTypeデータ型
allowedFieldCalcTypesFieldCalcType[]設定可能なフィールドの決定方法
isSystemFieldbooleantrue:システムフィールド
false:カスタムフィールド
displayOrderdoubleフィールドの表示順。
UIで表示する際の表示順序を示します。
isDeletedboolean削除されているか
createdAtDateTime作成日時
createdBystring作成者のユーザーID
updatedAtDateTime更新日時
updatedBystring更新者のユーザーID

DataType(列挙型)​

名前説明
DTSingleLineText単一行テキスト
DTMultiLineText複数行テキスト
DTInt整数
DTDouble実数
DTDate日付
DTBool論理値
DTColorカラー
DTCostコスト
DTProgress進捗率
DTTimeValue工数
DTDocumentSize成果量
DTUserユーザー
DTProjectプロジェクト
DTItemアイテム
DTStatusTypeステータスタイプ
DTItemTypeアイテムタイプ
DTProcessCategory工程分類
DTTimeEntryCategory作業分類
DTObjectオブジェクト

FieldCalcType(列挙型)​

名前説明
None無効値
UserInputユーザー入力
Sum合計
Average平均
Max最大
Min最小
And論理積
Or論理和
Count個数
ProgressNA進捗管理なし
ProgressOutputScale規模進捗
ProgressWeightedAverage加重平均
ProgressRemainingTime進捗率(残作業時間)
Auto自動計算
Expression計算式